<?php

namespace App\Http\Controllers;

use App\Models\Desa;
use App\Models\IndukOpd;
use App\Models\Kelahiran;
use App\Models\Neonatal;
use App\Models\UnitKerja;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class NeonatalController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    protected $routeName = 'neonatal';
    protected $viewName = 'neonatal';
    protected $title = 'neonatal';
    public function index(Request $request)
    {
        //
        // $unit_kerja1 = UnitKerja::first();
        // dd($unit_kerja1->kelahiran_per_desa(null)["lahir_hidup_L"]);
        // foreach (Desa::all() as $key => $value) {
        //     # code...
        //     Neonatal::create([
        //         'desa_id' => $value->id,
        //         'kn1_L' => 0,
        //         'kn1_P' => 0,
        //         'kn_lengkap_L' => 0,
        //         'kn_lengkap_P' => 0,
        //         'hipo_L' => 0,
        //         'hipo_P' => 0,
        //     ]);
        // }
    $unit_kerja = UnitKerja::all();
    $total = 0;
    $totalk1 = 0;
    $totalk4 = 0;
    $totalk6 = 0;
    $totalfasyankes = 0;
    $totalkf1 = 0;
    $totalkf_lengkap = 0;
    $totalvita = 0;
    $totalibubersalin = 0;
    $indukOpd = IndukOpd::pluck('nama', 'id');
    // $desa = Desa::first();
    // dd($desa->filterDesa(null));
    if(Auth::user()->roles->first()->name !== "Admin"){
        $indukOpd = IndukOpd::where('id', Auth::user()->induk_opd_id)->pluck('nama', 'id');
        foreach(Auth::user()->unit_kerja->desa as $desa){
            if($desa->filterDesa($request->query('year'))){
                $total += $desa->filterDesa($request->query('year'))->jumlah_ibu_hamil;
            $totalk1 += $desa->filterDesa($request->query('year'))->k1;
            $totalk4 += $desa->filterDesa($request->query('year'))->k4;
            $totalk6 += $desa->filterDesa($request->query('year'))->k6;
            $totalfasyankes += $desa->filterDesa($request->query('year'))->fasyankes;
            $totalkf1 += $desa->filterDesa($request->query('year'))->kf1;
            $totalkf_lengkap += $desa->filterDesa($request->query('year'))->kf_lengkap;
            $totalvita += $desa->filterDesa($request->query('year'))->vita;
            $totalibubersalin += $desa->filterDesa($request->query('year'))->jumlah_ibu_bersalin;
            }
        }
    } else{
        foreach($unit_kerja as $desa){
            $total += $desa->jumlah_ibu_hamil($request->query('year'));
            $totalk1 += $desa->k1($request->query('year'));
            $totalk4 += $desa->k4($request->query('year'));
            $totalk6 += $desa->k6($request->query('year'));
            $totalfasyankes += $desa->fasyankes($request->query('year'));
            $totalkf1 += $desa->kf1($request->query('year'));
            $totalkf_lengkap += $desa->kf_lengkap($request->query('year'));
            $totalvita += $desa->vita($request->query('year'));
            $totalibubersalin += $desa->jumlah_ibu_bersalin($request->query('year'));
        }
    }

    // dd(UnitKerja::first()->jumlah_k1);

    $data=[
        'route'=>$this->routeName,
        'title'=>$this->title,
        'induk_opd_arr' => $indukOpd,
        'unit_kerja' =>  $unit_kerja,
        'desa' => Auth::user()->unit_kerja?Auth::user()->unit_kerja->desa:Desa::all(),
        'total_ibu_hamil' => $total,
        'total_k1' => $totalk1,
        'total_k4' => $totalk4,
        'total_k6' => $totalk6,
        'total_fasyankes' => $totalfasyankes,
        'total_kf1' => $totalkf1,
        'total_kf_lengkap' => $totalkf_lengkap,
        'total_vita' => $totalvita,
        'total_ibu_bersalin' => $totalibubersalin,
        // 'jabatan' => Jabatan::get(),
        // 'jenis_jabatan' => JenisJabatan::pluck('nama', 'id'),
        // 'unit_organisasi' => UnitOrganisasi::get()
    ];

    return view($this->viewName.'.index')->with($data);
}

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        try {
            $Neonatal = Neonatal::where('id', $request->id)->first();
            $desa = $Neonatal->Desa;
            $kelahiran = Kelahiran::where('desa_id', $desa->id)->first();
            // dd($request->name, $request->value);
            $Neonatal->update([
                $request->name => $request->value,
            ]);
            // dd($Neonatal->hipo_L, $kelahiran->lahir_hidup_L,  (int)$Neonatal->hipo_L/$kelahiran->lahir_hidup_L*100);
            $persen_kn1_L = (int)$Neonatal->kn1_L/$kelahiran->lahir_hidup_L*100;
            $persen_kn1_P = (int)$Neonatal->kn1_P/$kelahiran->lahir_hidup_P*100;
            $persen_kn1_LP = ((int)$Neonatal->kn1_P + (int)$Neonatal->kn1_L)/($kelahiran->lahir_hidup_P + $kelahiran->lahir_hidup_L)*100;
            $jumlah_kn1_LP = $Neonatal->kn1_P + $Neonatal->kn1_L;
            $persen_kn_lengkap_L = (int)$Neonatal->kn_lengkap_L/$kelahiran->lahir_hidup_L*100;
            $persen_kn_lengkap_P = (int)$Neonatal->kn_lengkap_P/$kelahiran->lahir_hidup_P*100;
            $persen_kn_lengkap_LP = ((int)$Neonatal->kn_lengkap_P + (int)$Neonatal->kn_lengkap_L)/($kelahiran->lahir_hidup_P + $kelahiran->lahir_hidup_L)*100;
            $jumlah_kn_lengkap_LP = $Neonatal->kn_lengkap_P + $Neonatal->kn_lengkap_L;
            $persen_hipo_L = (int)$Neonatal->hipo_L/$kelahiran->lahir_hidup_L*100;
            $persen_hipo_P = (int)$Neonatal->hipo_P/$kelahiran->lahir_hidup_P*100;
            $persen_hipo_LP = ((int)$Neonatal->hipo_P + (int)$Neonatal->hipo_L)/($kelahiran->lahir_hidup_P + $kelahiran->lahir_hidup_L)*100;
            $jumlah_hipo_LP = $Neonatal->hipo_P + $Neonatal->hipo_L;
            // $desa = $IbuHamil->Desa->UnitKerja;
            // $total = 0;

            // foreach ($desa->desa as $key => $value) {
            //     # code...
            //     // dd($value);
            //     $total += $value->filterDesa($request->params)->{$request->name};
            // }
            // dd(($IbuHamil->fasyankes/$jumlah_ibu_bersalin) * 100, $IbuHamil->fasyankes, $jumlah_ibu_bersalin, gettype($IbuHamil->fasyankes));
            return response()->json([
                'status' => 'success',
                'persen_kn1_L' => $persen_kn1_L,
                'persen_kn1_P' => $persen_kn1_P,
                'persen_kn1_LP' => $persen_kn1_LP,
                'jumlah_kn1_LP' => $jumlah_kn1_LP,
                'persen_kn_lengkap_L' => $persen_kn_lengkap_L,
                'persen_kn_lengkap_P' => $persen_kn_lengkap_P,
                'persen_kn_lengkap_LP' => $persen_kn_lengkap_LP,
                'jumlah_kn_lengkap_LP' => $jumlah_kn_lengkap_LP,
                'persen_hipo_L' => $persen_hipo_L,
                'persen_hipo_P' => $persen_hipo_P,
                'persen_hipo_LP' => $persen_hipo_LP,
                'jumlah_hipo_LP' => $jumlah_hipo_LP,
                // 'column' => $request->name,
                // 'total' => $total,
            ]);
        } catch (\Throwable $th) {
            //throw $th;
            return response()->json([
                'status' => 'fail',
                'message' => $th->getMessage(),
            ]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
